curl --request POST \
--url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"targetBaseUrl": "http://example.mocklab.io",
"filters": {
"urlPathPattern": "/api/.*",
"method": "GET"
},
"captureHeaders": {
"Accept": {},
"Content-Type": {
"caseInsensitive": true
}
},
"requestBodyPattern": {
"matcher": "equalToJson",
"ignoreArrayOrder": false,
"ignoreExtraElements": true
},
"extractBodyCriteria": {
"textSizeThreshold": "2048",
"binarySizeThreshold": "10240"
},
"persist": false,
"repeatsAsScenarios": false,
"transformers": [
"modify-response-header"
],
"transformerParameters": {
"headerValue": "123"
}
}
'import requests
url = "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start"
payload = {
"targetBaseUrl": "http://example.mocklab.io",
"filters": {
"urlPathPattern": "/api/.*",
"method": "GET"
},
"captureHeaders": {
"Accept": {},
"Content-Type": { "caseInsensitive": True }
},
"requestBodyPattern": {
"matcher": "equalToJson",
"ignoreArrayOrder": False,
"ignoreExtraElements": True
},
"extractBodyCriteria": {
"textSizeThreshold": "2048",
"binarySizeThreshold": "10240"
},
"persist": False,
"repeatsAsScenarios": False,
"transformers": ["modify-response-header"],
"transformerParameters": { "headerValue": "123" }
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetBaseUrl: 'http://example.mocklab.io',
filters: {urlPathPattern: '/api/.*', method: 'GET'},
captureHeaders: {Accept: {}, 'Content-Type': {caseInsensitive: true}},
requestBodyPattern: {matcher: 'equalToJson', ignoreArrayOrder: false, ignoreExtraElements: true},
extractBodyCriteria: {textSizeThreshold: '2048', binarySizeThreshold: '10240'},
persist: false,
repeatsAsScenarios: false,
transformers: ['modify-response-header'],
transformerParameters: {headerValue: '123'}
})
};
fetch('https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Start recording
Begin recording stub mappings
Path Parameters
The ID of the Mock API
5 - 10"jjl8y"
Body
Headers from the request to include in the generated stub mappings, mapped to parameter objects. The only parameter available is "caseInsensitive", which defaults to false
Show child attributes
Show child attributes
{ "Accept": {}, "Content-Type": { "caseInsensitive": true } }
Criteria for extracting response bodies to a separate file instead of including it in the stub mapping
Show child attributes
Show child attributes
{ "binarySizeThreshold": "1 Mb", "textSizeThreshold": "2 kb" }
Whether to save stub mappings to the file system or just return them
When true, duplicate requests will be added to a Scenario. When false, duplicates are discarded
Automatically determine matcher based on content type (the default)
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
List of names of stub mappings transformers to apply to generated stubs
Parameters to pass to stub mapping transformers
Filter requests for which to create stub mapping
Show child attributes
Show child attributes
"{\n \"urlPath\" : \"/charges\",\n \"method\" : \"POST\",\n \"headers\" : {\n \"Content-Type\" : {\n \"equalTo\" : \"application/json\"\n }\n }\n"
Target URL when using the record and playback API
"https://example.wiremock.org"
Response
Successfully started recording